XBMC Community Forum
XBMC for Linux VDPAU - NVIDIA GPU video decoding support (now in the mainline SVN) - Printable Version

+- XBMC Community Forum (http://forum.xbmc.org)
+-- Forum: Help and Support (/forumdisplay.php?fid=33)
+--- Forum: XBMC General Help and Support (/forumdisplay.php?fid=111)
+---- Forum: Linux and Live support (/forumdisplay.php?fid=52)
+---- Thread: XBMC for Linux VDPAU - NVIDIA GPU video decoding support (now in the mainline SVN) (/showthread.php?tid=45525)



- shagworthy_uk - 2009-03-22 16:23

cyba Wrote:Ok, thanks for pointing it out, I don't know how I didn't see that Smile

Using this driver repo at the moment, but it doesn't (yet) have the latest drivers:
http://www.avenard.org/files/ubuntu-repos/

This one seems to have them though. Anyone using it, any good/bad experiences using it?
http://ppa.launchpad.net/thefirstm/ppa/ubuntu

Yeah, im using the "thefirstm" ppa for 185.13 and worked first time with no issues.


- shagworthy_uk - 2009-03-22 16:32

motd2k Wrote:Can you set renderer to Auto please. How are you starting XBMC... did you follow the instructions on page 1?

Yes, I am using that method on page 1. I have set it to Auto. Still the same as far as VDPAU goes though, as it it does not use it to play HD files. The VDPAU options do not come up in the video menu so i know it is not using it. That and the CPU usage.

I noticed elupus has submitted to SVN "fixed: accidentally removed the storing of the default interlace method" in 18768 so i will check out the latest and try again. Also looks like alot of work has been put in this weekend so may fix the other issues i have, either way i will of course reply back.

Update: Interlace settings seem to be remembered now but still in 18779 VDPAU is not being used. I would post my log but pastebin more often than not will not allow me to post a debug log due to its size. If it is needed then is there somewhere larger logs can be posted to? (sorry if this is covered somewhere in the wiki or forum, i could not find it)


- shagworthy_uk - 2009-03-22 17:03

miguel Wrote:Hi all,

I'm having a problem when trying to enable VDPAU, I hope someone can lend me a hand.

I have an Acer X3200 with a dual core AMD 4850e, 3Gb RAM and a NVIDIA 9300GE PCI-e (G98).

I followed the guide

http://wiki.xbmc.org/?title=HOW-TO_install_XBMC_for_Linux_on_Ubuntu_8.04_(Hardy)_and_8.10_(Intrepid)_step-by-step

to build and install XBMC and everything is working fine but VDPAU itself.

I'm running Ubuntu Intrepid (amd64)



Got source with Subversion from
https://xbmc.svn.sourceforge.net/svnroot/xbmc/branches/xbmc-vdpau/XBMC


Compiled r18779 as shown in source status.


NVidia driver version is 185.13. I've set framebuffer size (BIOS) of NVIDIA card to 512Mb and disabled composite.

The problem is that when I try to play the killa sample, 140% CPU is used and
frames are dropped making the video choppy. This make me guess VDPAU is not working.

Moreover, in settings, when I set video player render to "VDPAU" it stay ok,
but when I change the screen to another option, and go back to video player
render the marked option is "Software".

Could anyone point some clues? What I'm doing wrong? Is there any way to check if VDPAU in XBMC is working? I've tried vdpinfo and output seems to be normal.

Thanks in advance.

Cheers,

miguel

xorg.conf is here: http://pastebin.com/m2531119e
Xorg.0.log is here: http://pastebin.com/m69dcd886
xbmc-xbmc.log is here: http://pastebin.com/m4f3d57a

Following the instructions on page 1 of this thread, can you add -r 18469 so "svn co https://xbmc.svn.sourceforge.net/svnroot/xbmc/branches/xbmc-vdpau -r 18469 xbmc-vdpau"

This is just out of curiosity, as this version works for me so atleast you will see the awesomeness of this branch. The recent versions i have had a few issues and it seems that VDPAU is not working correctly and is reverting back to decoding using CPU alone. I have not tried the very latest yet so it may be fix in the newest but just as a test, can you try reverting to the version 18469 using the above command. Before you do the above, dont forget to "make uninstall" and remove or rename the existing xbmc-vdpau or XBMC directory that you ran MAKE from initially (depending on which svn checkout instructions you used (page 1 of this thread or the wiki). Hope this helps you.


- miguel - 2009-03-22 17:51

shagworthy_uk Wrote:Following the instructions on page 1 of this thread, can you add -r 18469 so "svn co https://xbmc.svn.sourceforge.net/svnroot/xbmc/branches/xbmc-vdpau -r 18469 xbmc-vdpau"

This is just out of curiosity, as this version works for me so atleast you will see the awesomeness of this branch. The recent versions i have had a few issues and it seems that VDPAU is not working correctly and is reverting back to decoding using CPU alone. I have not tried the very latest yet so it may be fix in the newest but just as a test, can you try reverting to the version 18469 using the above command. Before you do the above, dont forget to "make uninstall" and remove or rename the existing xbmc-vdpau or XBMC directory that you ran MAKE from initially (depending on which svn checkout instructions you used (page 1 of this thread or the wiki). Hope this helps you.


Thanks, that was the reason. I've read in previous posts that there was a problem between r18729 and r18732. I've checked out r18729, compiled, install and now is working perfect.

Thanks for the quick reply,

Miguel


- cdc42 - 2009-03-23 01:10

Hi, since this evening I get an error while trying to ./configure:

Quote:checking for main in -lcdio... no
configure: error: ERROR: Could not find a required library. Please see README.linux

I double checked the dependencies from README.linux, everything looks good.
What did I do wrong?


- davilla - 2009-03-23 01:17

read it again -> libcdio-dev was added.


- cdc42 - 2009-03-23 01:32

Please excuse my blindness Blush
Thank you very much davilla!


- openricky - 2009-03-23 03:17

http://trac.xbmc.org/changeset/18818

did the vdpau branch get merged into the main source? i upped the source svn to 18832 tonight and can't configure:

Quote:checking for main in -lvdpau... no
configure: error: ERROR: Could not find a required library. Please see README.linux



- tslayer - 2009-03-23 03:26

Yes, it did get merged.


- mythmaster - 2009-03-23 03:51

Ummm, r18832:
Code:
ar cru Audio.a DVDAudioCodecFFmpeg.o DVDAudioCodecLiba52.o DVDAudioCodecLibDts.o DVDAudioCodecLibFaad.o DVDAudioCodecLibMad.o DVDAudioCodecLPcm.o DVDAudioCodecPassthrough.oDVDAudioCodecPcm.o
ar: Audio.a: File format not recognized
Confused

EDIT: Should I use Main now?


- davilla - 2009-03-23 04:15

svn up again. make reallyclean


- xnappo - 2009-03-23 04:25

What is going on with the fullscreen 8200 fixes? I am using the last build before the revert and it has been working great...

xnappo


- Brezhonneg - 2009-03-23 04:50

tslayer Wrote:Yes, it did get merged.

Just to confirm, does this mean that the SVN PPA will get VDPAU support in the next daily build?


- mythmaster - 2009-03-23 05:47

davilla Wrote:svn up again. make reallyclean

I'm trying linuxport now (w/ VDPAU, w00t!). If it breaks again, I'll reallyclean it. Thanks! It'll be awesome to see this on the next daily!!

Rock on, devs! Nod

EDIT: linuxport r18835 = HELLZ YEAH!!!


- uomiarz - 2009-03-23 06:37

I just compiled 18839.
Did reallyclean and make install.

I go to render method, set it up for VDPAU and try to play something but render methid always defaults back to "Software"

What am I missing?
thx

ps. i had vdpau working before merge